package com.dji.sdk.cloudapi.device;

import java.util.List;

/**
 * @author hqjiang
 * @version 1.0
 * @date 2024/8/28
 */
public class DockWirelessLink {


    /**
     * 加密编码
     */
    private List<Integer> secretCode;

    /**
     * 飞行器对频信息
     */
    private CenterNode centerNode;

    /**
     * 机场或遥控器对频信息
     */
    private List<LeafNode> leafNodes;


    public DockWirelessLink() {
    }

    @Override
    public String toString() {
        return "DockWirelessLink{" +
                "secretCode='" + secretCode + '\'' +
                ", centerNode=" + centerNode +
                ", leafNodes='" + leafNodes + '\'' +
                '}';
    }

    public List<Integer> getSecretCode() {
        return secretCode;
    }

    public DockWirelessLink setSecretCode(List<Integer> secretCode) {
        this.secretCode = secretCode;
        return this;
    }

    public CenterNode getCenterNode() {
        return centerNode;
    }

    public DockWirelessLink setCenterNode(CenterNode centerNode) {
        this.centerNode = centerNode;
        return this;
    }

    public List<LeafNode> getLeafNodes() {
        return leafNodes;
    }

    public DockWirelessLink setLeafNodes(List<LeafNode> leafNodes) {
        this.leafNodes = leafNodes;
        return this;
    }
}
